# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [0.9.36](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.35...api-explorer-v0.9.36) (2022-07-29)


### Features

* URL Sharable Search in Explorer ([#1103](https://www.github.com/looker-open-source/sdk-codegen/issues/1103)) ([0eb10ee](https://www.github.com/looker-open-source/sdk-codegen/commit/0eb10ee5490e363baa3fd90561e417bd902cd50a))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.12 to ^0.1.13
    * @looker/code-editor bumped from ^0.1.22 to ^0.1.23
    * @looker/run-it bumped from ^0.9.35 to ^0.9.36
    * @looker/sdk bumped from ^22.10.0 to ^22.10.1
    * @looker/sdk-codegen bumped from ^21.6.0 to ^21.7.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.4.1 to ^21.4.2
    * @looker/sdk-node bumped from ^22.10.0 to ^22.10.1

### [0.9.35](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.34...api-explorer-v0.9.35) (2022-07-14)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.11 to ^0.1.12
    * @looker/run-it bumped from ^0.9.34 to ^0.9.35
    * @looker/sdk bumped from ^22.8.0 to ^22.10.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.4.0 to ^21.4.1
    * @looker/sdk-node bumped from ^22.8.0 to ^22.10.0

### [0.9.34](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.33...api-explorer-v0.9.34) (2022-07-13)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.10 to ^0.1.11
    * @looker/run-it bumped from ^0.9.33 to ^0.9.34
    * @looker/sdk bumped from ^22.6.0 to ^22.8.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.3.4 to ^21.4.0
    * @looker/sdk-node bumped from ^22.6.0 to ^22.8.0

### [0.9.33](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.32...api-explorer-v0.9.33) (2022-07-07)


### Bug Fixes

* description sync issues in diff scene ([#1086](https://www.github.com/looker-open-source/sdk-codegen/issues/1086)) ([a37aa50](https://www.github.com/looker-open-source/sdk-codegen/commit/a37aa50064bb41ca5af2c9d19371e2ef7973e6d9))
* remove generated files from examples index ([#1076](https://www.github.com/looker-open-source/sdk-codegen/issues/1076)) ([d75bce8](https://www.github.com/looker-open-source/sdk-codegen/commit/d75bce8dc25d41fd6bc5e2e513782eaa6009fd10))
* Sidenav Methods Panel Open & Closing ([#1097](https://www.github.com/looker-open-source/sdk-codegen/issues/1097)) ([c49fae4](https://www.github.com/looker-open-source/sdk-codegen/commit/c49fae4ca6a7a30feb61f021ec878a8091eaa078))
* Update prod entrypoint to match dev entrypoint (pull [#1059](https://www.github.com/looker-open-source/sdk-codegen/issues/1059)) ([0e4c3f4](https://www.github.com/looker-open-source/sdk-codegen/commit/0e4c3f47782d23f6c8e5509bd2942b0934e44ea2))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.9 to ^0.1.10
    * @looker/code-editor bumped from ^0.1.21 to ^0.1.22
    * @looker/run-it bumped from ^0.9.32 to ^0.9.33
    * @looker/sdk bumped from ^22.4.2 to ^22.6.0
    * @looker/sdk-codegen bumped from ^21.5.2 to ^21.6.0
    * @looker/sdk-rtl bumped from ^21.3.3 to ^21.3.4
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.3.3 to ^21.3.4
    * @looker/sdk-node bumped from ^22.4.2 to ^22.6.0

### [0.9.32](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.31...api-explorer-v0.9.32) (2022-04-07)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.8 to ^0.1.9
    * @looker/code-editor bumped from ^0.1.20 to ^0.1.21
    * @looker/run-it bumped from ^0.9.31 to ^0.9.32
    * @looker/sdk bumped from ^22.4.1 to ^22.4.2
    * @looker/sdk-codegen bumped from ^21.5.1 to ^21.5.2
    * @looker/sdk-rtl bumped from ^21.3.2 to ^21.3.3
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.3.2 to ^21.3.3
    * @looker/sdk-node bumped from ^22.4.1 to ^22.4.2

### [0.9.31](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.30...api-explorer-v0.9.31) (2022-04-07)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.7 to ^0.1.8
    * @looker/code-editor bumped from ^0.1.19 to ^0.1.20
    * @looker/run-it bumped from ^0.9.30 to ^0.9.31
    * @looker/sdk bumped from ^22.4.0 to ^22.4.1
    * @looker/sdk-codegen bumped from ^21.5.0 to ^21.5.1
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.3.1 to ^21.3.2
    * @looker/sdk-node bumped from ^22.4.0 to ^22.4.1

### [0.9.30](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.29...api-explorer-v0.9.30) (2022-03-24)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.6 to ^0.1.7
    * @looker/run-it bumped from ^0.9.29 to ^0.9.30
    * @looker/sdk bumped from ^22.2.0 to ^22.4.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.3.0 to ^21.3.1
    * @looker/sdk-node bumped from ^22.2.0 to ^22.4.0

### [0.9.29](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.28...api-explorer-v0.9.29) (2022-03-04)


### Features

* generate code deprecation tags ([#1006](https://www.github.com/looker-open-source/sdk-codegen/issues/1006)) ([afd4b66](https://www.github.com/looker-open-source/sdk-codegen/commit/afd4b66ffbd11cdacd19fe1353c9e5bf381fe932))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.5 to ^0.1.6
    * @looker/code-editor bumped from ^0.1.18 to ^0.1.19
    * @looker/run-it bumped from ^0.9.28 to ^0.9.29
    * @looker/sdk-codegen bumped from ^21.4.0 to ^21.5.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.2.3 to ^21.3.0

### [0.9.28](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.27...api-explorer-v0.9.28) (2022-02-18)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.4 to ^0.1.5
    * @looker/run-it bumped from ^0.9.27 to ^0.9.28
    * @looker/sdk bumped from ^22.0.0 to ^22.2.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.2.2 to ^21.2.3
    * @looker/sdk-node bumped from ^22.0.0 to ^22.2.0

### [0.9.27](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.26...api-explorer-v0.9.27) (2022-02-14)


### Features

* Added 4.0 GA stable banner to api explorer ([#956](https://www.github.com/looker-open-source/sdk-codegen/issues/956)) ([c59b5d4](https://www.github.com/looker-open-source/sdk-codegen/commit/c59b5d4d14189329fd9d95b31d3801dd27bd1c08))


### Bug Fixes

* Fix broken apix test because of 22.0 build ([#968](https://www.github.com/looker-open-source/sdk-codegen/issues/968)) ([45a9a69](https://www.github.com/looker-open-source/sdk-codegen/commit/45a9a6915be0fbcfdbd3ee6152a59d9d8728b3ca))
* runtime error for API Explorer ([#973](https://www.github.com/looker-open-source/sdk-codegen/issues/973)) ([4823fcb](https://www.github.com/looker-open-source/sdk-codegen/commit/4823fcb56d38bde5ae2f80d02a946b5bd3eeb834))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.3 to ^0.1.4
    * @looker/code-editor bumped from ^0.1.17 to ^0.1.18
    * @looker/run-it bumped from ^0.9.26 to ^0.9.27
    * @looker/sdk-codegen bumped from ^21.3.2 to ^21.4.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.2.1 to ^21.2.2

### [0.9.26](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.23...api-explorer-v0.9.26) (2022-01-27)


### Features

* OAuthConfigProvider ([209f399](https://www.github.com/looker-open-source/sdk-codegen/commit/209f399a089beb28405a178d3dc8f769478ae97b))


### Bug Fixes

* enum naming and registration ([#918](https://www.github.com/looker-open-source/sdk-codegen/issues/918)) ([9d4a6cb](https://www.github.com/looker-open-source/sdk-codegen/commit/9d4a6cbfac5defad3a35389e2d46947d2135d349))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/sdk bumped from ^21.20.0 to ^21.20.1
  * devDependencies
    * @looker/sdk-node bumped from ^21.20.0 to ^21.20.1

### [0.9.26](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.25...api-explorer-v0.9.26) (2021-12-20)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.2 to ^0.1.3
    * @looker/code-editor bumped from ^0.1.16 to ^0.1.17
    * @looker/run-it bumped from ^0.9.25 to ^0.9.26
    * @looker/sdk-codegen bumped from ^21.3.0 to ^21.3.1
    * @looker/sdk-rtl bumped from ^21.3.0 to ^21.3.1
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.2.0 to ^21.2.1

### [0.9.25](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.24...api-explorer-v0.9.25) (2021-12-16)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.1 to ^0.1.2
    * @looker/code-editor bumped from ^0.1.15 to ^0.1.16
    * @looker/run-it bumped from ^0.9.24 to ^0.9.25
    * @looker/sdk-codegen bumped from ^21.2.1 to ^21.3.0
    * @looker/sdk-rtl bumped from ^21.2.0 to ^21.3.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.1.4 to ^21.2.0

### [0.9.24](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.23...api-explorer-v0.9.24) (2021-12-06)


### Features

* OAuthConfigProvider ([209f399](https://www.github.com/looker-open-source/sdk-codegen/commit/209f399a089beb28405a178d3dc8f769478ae97b))


### Bug Fixes

* enum naming and registration ([#918](https://www.github.com/looker-open-source/sdk-codegen/issues/918)) ([9d4a6cb](https://www.github.com/looker-open-source/sdk-codegen/commit/9d4a6cbfac5defad3a35389e2d46947d2135d349))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/extension-utils bumped from ^0.1.0 to ^0.1.1
    * @looker/code-editor bumped from ^0.1.14 to ^0.1.15
    * @looker/run-it bumped from ^0.9.23 to ^0.9.24
    * @looker/sdk-codegen bumped from ^21.2.0 to ^21.2.1
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.1.3 to ^21.1.4

### [0.9.23](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.22...api-explorer-v0.9.23) (2021-11-10)


### Features

* create @looker/extension-utils ([#886](https://www.github.com/looker-open-source/sdk-codegen/issues/886)) ([9d1720d](https://www.github.com/looker-open-source/sdk-codegen/commit/9d1720d9a4cec00c45195dd9c716d9a2a929264f))


### Bug Fixes

* api explorer initialization  ([#885](https://www.github.com/looker-open-source/sdk-codegen/issues/885)) ([b08b08e](https://www.github.com/looker-open-source/sdk-codegen/commit/b08b08e9767725e19a573bac0385320bb903490d))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.13 to ^0.1.14
    * @looker/run-it bumped from ^0.9.22 to ^0.9.23
    * @looker/sdk bumped from ^21.18.1 to ^21.20.0
    * @looker/sdk-codegen bumped from ^21.1.1 to ^21.2.0
    * @looker/sdk-rtl bumped from ^21.1.1 to ^21.2.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.1.2 to ^21.1.3
    * @looker/sdk-node bumped from ^21.18.1 to ^21.20.0

### [0.9.22](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.21...api-explorer-v0.9.22) (2021-10-27)


### Bug Fixes

* another TS SDK error handling tweak ([#873](https://www.github.com/looker-open-source/sdk-codegen/issues/873)) ([1c04952](https://www.github.com/looker-open-source/sdk-codegen/commit/1c049527e22926fa7fe0ae011ab4595520005e2f))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.12 to ^0.1.13
    * @looker/run-it bumped from ^0.9.21 to ^0.9.22
    * @looker/sdk bumped from ^21.18.0 to ^21.18.1
    * @looker/sdk-codegen bumped from ^21.1.0 to ^21.1.1
    * @looker/sdk-rtl bumped from ^21.1.0 to ^21.1.1
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.1.1 to ^21.1.2
    * @looker/sdk-node bumped from ^21.18.0 to ^21.18.1

### [0.9.21](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.20...api-explorer-v0.9.21) (2021-10-24)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.11 to ^0.1.12
    * @looker/run-it bumped from ^0.9.20 to ^0.9.21
    * @looker/sdk bumped from ^21.16.0 to ^21.18.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.1.0 to ^21.1.1
    * @looker/sdk-node bumped from ^21.16.0 to ^21.18.0

### [0.9.20](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.19...api-explorer-v0.9.20) (2021-10-19)


### Features

* closest path match for API Explorer ([#811](https://www.github.com/looker-open-source/sdk-codegen/issues/811)) ([45fd26f](https://www.github.com/looker-open-source/sdk-codegen/commit/45fd26fb0f325fa90edfec72f835ed3a79b9afeb))
* headless nav toggle ([#860](https://www.github.com/looker-open-source/sdk-codegen/issues/860)) ([8e66d1b](https://www.github.com/looker-open-source/sdk-codegen/commit/8e66d1bed84cdcf91b92dccdb5cdbb87be5c3f4a))
* lots of RunIt form cleanup ([#814](https://www.github.com/looker-open-source/sdk-codegen/issues/814)) ([e92eae8](https://www.github.com/looker-open-source/sdk-codegen/commit/e92eae8fc127a0aa99545ca9c577152c08d59000))
* makeTheCall for Kotlin and type tagging ([#833](https://www.github.com/looker-open-source/sdk-codegen/issues/833)) ([2ca950e](https://www.github.com/looker-open-source/sdk-codegen/commit/2ca950e16c9c172d3e67de58261df16e424efaa3))
* Use agenda data for the Hackathon home page ([#842](https://www.github.com/looker-open-source/sdk-codegen/issues/842)) ([0da2523](https://www.github.com/looker-open-source/sdk-codegen/commit/0da25239c3f108cb684309818c33c91c2a7c3278))


### Bug Fixes

* Extension Api Explorer markdown link clicks ([#830](https://www.github.com/looker-open-source/sdk-codegen/issues/830)) ([dd8a3f0](https://www.github.com/looker-open-source/sdk-codegen/commit/dd8a3f03b8ea03858271bf55307c7d359631455a))
* request content initialization and filtering for RunIt requests ([#852](https://www.github.com/looker-open-source/sdk-codegen/issues/852)) ([474ee93](https://www.github.com/looker-open-source/sdk-codegen/commit/474ee9365dafe6549826a9f627ac0a79dc0e9a56))
* Sidenav selection ([#831](https://www.github.com/looker-open-source/sdk-codegen/issues/831)) ([52e3ef3](https://www.github.com/looker-open-source/sdk-codegen/commit/52e3ef31a6157a6a544bf712a73d118d22913583))
* type issues, tests and bin/deploy ([#844](https://www.github.com/looker-open-source/sdk-codegen/issues/844)) ([9e4a141](https://www.github.com/looker-open-source/sdk-codegen/commit/9e4a1413d4b6267805c0514dac1def93f5a56cb6))
* typo with error boundary ([#851](https://www.github.com/looker-open-source/sdk-codegen/issues/851)) ([bb08f25](https://www.github.com/looker-open-source/sdk-codegen/commit/bb08f258354bb6439f08d29f340b1f396841ab12))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.10 to ^0.1.11
    * @looker/run-it bumped from ^0.9.19 to ^0.9.20
    * @looker/sdk bumped from ^21.14.0 to ^21.16.0
    * @looker/sdk-codegen bumped from ^21.0.25 to ^21.1.0
    * @looker/sdk-rtl bumped from ^21.0.20 to ^21.1.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.27 to ^21.1.0
    * @looker/sdk-node bumped from ^21.14.0 to ^21.16.0

### [0.9.19](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.18...api-explorer-v0.9.19) (2021-09-01)


### Features

* http response explorer for RunIt ([#800](https://www.github.com/looker-open-source/sdk-codegen/issues/800)) ([3f273ea](https://www.github.com/looker-open-source/sdk-codegen/commit/3f273ea7f849dafece8f4f5f60558021ecd41705))
* new configuration UI for API Explorer ([#803](https://www.github.com/looker-open-source/sdk-codegen/issues/803)) ([e6c67d1](https://www.github.com/looker-open-source/sdk-codegen/commit/e6c67d1211b412d4ce83127c9f7a8f091e3cf27f))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.9 to ^0.1.10
    * @looker/run-it bumped from ^0.9.18 to ^0.9.19
    * @looker/sdk bumped from ^21.12.0 to ^21.14.0
    * @looker/sdk-codegen bumped from ^21.0.24 to ^21.0.25
    * @looker/sdk-rtl bumped from ^21.0.19 to ^21.0.20
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.26 to ^21.0.27
    * @looker/sdk-node bumped from ^21.12.0 to ^21.14.0

### [0.9.18](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.17...api-explorer-v0.9.18) (2021-08-11)


### Features

* fetch API specifications for stand-alone API Explorer ([#789](https://www.github.com/looker-open-source/sdk-codegen/issues/789)) ([f7be1fb](https://www.github.com/looker-open-source/sdk-codegen/commit/f7be1fb589570137c5ab39304910c57f721de8fb))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.8 to ^0.1.9
    * @looker/run-it bumped from ^0.9.17 to ^0.9.18
    * @looker/sdk-codegen bumped from ^21.0.23 to ^21.0.24
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.25 to ^21.0.26

### [0.9.17](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.16...api-explorer-v0.9.17) (2021-08-06)


### Bug Fixes

* documentation refs and notes for Typescript SDK and more ([#783](https://www.github.com/looker-open-source/sdk-codegen/issues/783)) ([b2487ea](https://www.github.com/looker-open-source/sdk-codegen/commit/b2487ea4a113ce17a080ccab9b4c4139813e8810))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.16 to ^0.9.17
    * @looker/sdk bumped from ^21.10.2 to ^21.12.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.24 to ^21.0.25
    * @looker/sdk-node bumped from ^21.10.2 to ^21.12.0

### [0.9.16](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.15...api-explorer-v0.9.16) (2021-07-30)


### Bug Fixes

* dev portal apix tweaks ([#760](https://www.github.com/looker-open-source/sdk-codegen/issues/760)) ([6e937f4](https://www.github.com/looker-open-source/sdk-codegen/commit/6e937f4778457021dd739e849e209ad4de7bb450))
* uses consistent heading text ([#761](https://www.github.com/looker-open-source/sdk-codegen/issues/761)) ([2e308ec](https://www.github.com/looker-open-source/sdk-codegen/commit/2e308ec1c6b4f181be12dda806955f8913336234))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.7 to ^0.1.8
    * @looker/run-it bumped from ^0.9.15 to ^0.9.16
    * @looker/sdk bumped from ^21.10.1 to ^21.10.2
    * @looker/sdk-codegen bumped from ^21.0.22 to ^21.0.23
    * @looker/sdk-rtl bumped from ^21.0.18 to ^21.0.19
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.23 to ^21.0.24
    * @looker/sdk-node bumped from ^21.10.1 to ^21.10.2

### [0.9.15](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.14...api-explorer-v0.9.15) (2021-07-15)


### Features

* API explorer error boundary ([#753](https://www.github.com/looker-open-source/sdk-codegen/issues/753)) ([3321bf1](https://www.github.com/looker-open-source/sdk-codegen/commit/3321bf1c7abf9f5165799970da5c2be40d94463a))
* apix sidebar toggle for dev portal ([#751](https://www.github.com/looker-open-source/sdk-codegen/issues/751)) ([ac83a57](https://www.github.com/looker-open-source/sdk-codegen/commit/ac83a5708feab996a528520103b3f3dd9314861e))
* initial api explorer dev portal support ([#748](https://www.github.com/looker-open-source/sdk-codegen/issues/748)) ([a4a7056](https://www.github.com/looker-open-source/sdk-codegen/commit/a4a70567bc114466d7650b9fba4545a16a2f0e37))
* simplify apix dev portal navigation toggle ([#752](https://www.github.com/looker-open-source/sdk-codegen/issues/752)) ([dcbf642](https://www.github.com/looker-open-source/sdk-codegen/commit/dcbf64264387b611bcf939d7430a2cfb4b4665bd))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.14 to ^0.9.15

### [0.9.14](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.13...api-explorer-v0.9.14) (2021-07-09)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.6 to ^0.1.7
    * @looker/run-it bumped from ^0.9.13 to ^0.9.14
    * @looker/sdk bumped from ^21.10.0 to ^21.10.1
    * @looker/sdk-codegen bumped from ^21.0.21 to ^21.0.22
    * @looker/sdk-rtl bumped from ^21.0.17 to ^21.0.18
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.22 to ^21.0.23
    * @looker/sdk-node bumped from ^21.10.0 to ^21.10.1

### [0.9.13](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.12...api-explorer-v0.9.13) (2021-07-08)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.5 to ^0.1.6
    * @looker/run-it bumped from ^0.9.12 to ^0.9.13
    * @looker/sdk bumped from ^21.8.3 to ^21.10.0
    * @looker/sdk-codegen bumped from ^21.0.20 to ^21.0.21
    * @looker/sdk-rtl bumped from ^21.0.16 to ^21.0.17
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.21 to ^21.0.22
    * @looker/sdk-node bumped from ^21.8.2 to ^21.10.0

### [0.9.12](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.11...api-explorer-v0.9.12) (2021-07-02)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.4 to ^0.1.5
    * @looker/run-it bumped from ^0.9.11 to ^0.9.12
    * @looker/sdk bumped from ^21.8.2 to ^21.8.3
    * @looker/sdk-codegen bumped from ^21.0.19 to ^21.0.20
    * @looker/sdk-rtl bumped from ^21.0.15 to ^21.0.16
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.20 to ^21.0.21
    * @looker/sdk-node bumped from ^21.8.1 to ^21.8.2

### [0.9.11](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.10...api-explorer-v0.9.11) (2021-07-01)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.3 to ^0.1.4
    * @looker/run-it bumped from ^0.9.10 to ^0.9.11
    * @looker/sdk bumped from ^21.8.1 to ^21.8.2
    * @looker/sdk-codegen bumped from ^21.0.18 to ^21.0.19
    * @looker/sdk-rtl bumped from ^21.0.14 to ^21.0.15
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.19 to ^21.0.20
    * @looker/sdk-node bumped from ^21.8.0 to ^21.8.1

### [0.9.10](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.9...api-explorer-v0.9.10) (2021-06-30)


### Features

* refactor Markdown out to @looker/code-editor ([#699](https://www.github.com/looker-open-source/sdk-codegen/issues/699)) ([f3c16e2](https://www.github.com/looker-open-source/sdk-codegen/commit/f3c16e2a162266545ba3086a0a1dddd0cb79195f))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.2 to ^0.1.3
    * @looker/run-it bumped from ^0.9.9 to ^0.9.10
    * @looker/sdk bumped from ^21.8.0 to ^21.8.1
    * @looker/sdk-codegen bumped from ^21.0.17 to ^21.0.18
    * @looker/sdk-rtl bumped from ^21.0.13 to ^21.0.14
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.18 to ^21.0.19

### [0.9.9](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.8...api-explorer-v0.9.9) (2021-06-17)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.8 to ^0.9.9
    * @looker/sdk bumped from ^21.6.1 to ^21.8.0
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.17 to ^21.0.18
    * @looker/sdk-node bumped from ^21.6.1 to ^21.8.0

### [0.9.8](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.7...api-explorer-v0.9.8) (2021-06-16)


### Features

* reduce size of apix bundle ([#676](https://www.github.com/looker-open-source/sdk-codegen/issues/676)) ([0d74f6a](https://www.github.com/looker-open-source/sdk-codegen/commit/0d74f6a7814b509416a9d2558c16439a4859b543))
* show original spec in API Explorer ([#686](https://www.github.com/looker-open-source/sdk-codegen/issues/686)) ([2bfb014](https://www.github.com/looker-open-source/sdk-codegen/commit/2bfb0147f2947680a784ef3118192b1e7590b296))
* two-way type references ([#684](https://www.github.com/looker-open-source/sdk-codegen/issues/684)) ([fbc0565](https://www.github.com/looker-open-source/sdk-codegen/commit/fbc0565c4c8fe3d1488bd246e244bed56f1412a9))
* upgrade react-markdown ([#681](https://www.github.com/looker-open-source/sdk-codegen/issues/681)) ([952ed30](https://www.github.com/looker-open-source/sdk-codegen/commit/952ed305347e591154413171d73cc648d3f597c5))


### Bug Fixes

* font download on route change ([#678](https://www.github.com/looker-open-source/sdk-codegen/issues/678)) ([ae62914](https://www.github.com/looker-open-source/sdk-codegen/commit/ae62914faa2e93d5523ddc82973f23df2992ea2f))
* rendering of markdown tables in APIX explorer ([#687](https://www.github.com/looker-open-source/sdk-codegen/issues/687)) ([40e8640](https://www.github.com/looker-open-source/sdk-codegen/commit/40e8640872db001075c397b5d941dec535867a3d))
* sync design-tokens/icons dependency constraint ([eb1a427](https://www.github.com/looker-open-source/sdk-codegen/commit/eb1a427d3c90bec44b2aac542783c3cda4810c0e))
* sync design-tokens/icons dependency constraint ([eb1a427](https://www.github.com/looker-open-source/sdk-codegen/commit/eb1a427d3c90bec44b2aac542783c3cda4810c0e))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.1 to ^0.1.2
    * @looker/run-it bumped from ^0.9.7 to ^0.9.8
    * @looker/sdk bumped from ^21.6.0 to ^21.6.1
    * @looker/sdk-codegen bumped from ^21.0.16 to ^21.0.17
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.16 to ^21.0.17
    * @looker/sdk-node bumped from ^21.6.0 to ^21.6.1

### [0.9.7](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.6...api-explorer-v0.9.7) (2021-05-05)


### Bug Fixes

* rerender sdk declarations on type/method change ([#659](https://www.github.com/looker-open-source/sdk-codegen/issues/659)) ([77139f6](https://www.github.com/looker-open-source/sdk-codegen/commit/77139f672200d31518543eb76546e9bb2ccf64c3))
* use "TypeScript" and "JavaScript" everywhere ([#644](https://www.github.com/looker-open-source/sdk-codegen/issues/644)) ([c15031c](https://www.github.com/looker-open-source/sdk-codegen/commit/c15031cee189556adbd9e18641e7c992e86e3611))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/code-editor bumped from ^0.1.0 to ^0.1.1
    * @looker/run-it bumped from ^0.9.6 to ^0.9.7
    * @looker/sdk bumped from ^21.4.3 to ^21.6.0
    * @looker/sdk-codegen bumped from ^21.0.15 to ^21.0.16
    * @looker/sdk-rtl bumped from ^21.0.12 to ^21.0.13
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.15 to ^21.0.16
    * @looker/sdk-node bumped from ^21.4.4 to ^21.6.0

### [0.9.6](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.5...api-explorer-v0.9.6) (2021-04-27)


### Features

* APIX now uses google font appropriately ([#636](https://www.github.com/looker-open-source/sdk-codegen/issues/636)) ([ed932d6](https://www.github.com/looker-open-source/sdk-codegen/commit/ed932d6744fd3c102bfff7417643667bb57aee00))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.5 to ^0.9.6

### [0.9.5](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.4...api-explorer-v0.9.5) (2021-04-27)


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.4 to ^0.9.5
    * @looker/sdk bumped from ^21.4.2 to ^21.4.3
    * @looker/sdk-codegen bumped from ^21.0.14 to ^21.0.15
    * @looker/code-editor bumped from ^0.0.1 to ^0.0.2
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.14 to ^21.0.15
    * @looker/sdk-node bumped from ^21.4.3 to ^21.4.4

### [0.9.4](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.3...api-explorer-v0.9.4) (2021-04-26)


### Features

* adds editor functionality to CodeDisplay ([#615](https://www.github.com/looker-open-source/sdk-codegen/issues/615)) ([b256d14](https://www.github.com/looker-open-source/sdk-codegen/commit/b256d14c279e47f531c8291d11146d07a7b5ad94))


### Bug Fixes

* remove deprecated object attribute reference in APIX tests ([#622](https://www.github.com/looker-open-source/sdk-codegen/issues/622)) ([581b351](https://www.github.com/looker-open-source/sdk-codegen/commit/581b3511fdc8431f80d54fd315a12192ceb86382))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.3 to ^0.9.4
    * @looker/sdk bumped from ^21.4.1 to ^21.4.2
    * @looker/sdk-codegen bumped from ^21.0.13 to ^21.0.14
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.13 to ^21.0.14
    * @looker/sdk-node bumped from ^21.4.2 to ^21.4.3

### [0.9.3](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.2...api-explorer-v0.9.3) (2021-04-21)


### Features

* adds 'SDK Examples' data table ([#602](https://www.github.com/looker-open-source/sdk-codegen/issues/602)) ([3678c96](https://www.github.com/looker-open-source/sdk-codegen/commit/3678c96cc7c2edadd00013b66711c917a62d1000))
* introduces prism-editor package; implements read-only usage ([#588](https://www.github.com/looker-open-source/sdk-codegen/issues/588)) ([863c88d](https://www.github.com/looker-open-source/sdk-codegen/commit/863c88dfb0569f7c829602acee2404e1c840097e))


### Bug Fixes

* updated TypeScript, C#, Go language names in codeGenerators.ts ([#610](https://www.github.com/looker-open-source/sdk-codegen/issues/610)) ([13fb42b](https://www.github.com/looker-open-source/sdk-codegen/commit/13fb42b6bfa651a137e75b04fc6ee00620705ede))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.2 to ^0.9.3
    * @looker/sdk-codegen bumped from ^21.0.12 to ^21.0.13
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.12 to ^21.0.13
    * @looker/sdk-node bumped from ^21.4.1 to ^21.4.2

### [0.9.2](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.1...api-explorer-v0.9.2) (2021-04-15)


### Features

* add source declaration links to API Explorer ([#578](https://www.github.com/looker-open-source/sdk-codegen/issues/578)) ([ce0e588](https://www.github.com/looker-open-source/sdk-codegen/commit/ce0e588787bdbc2e8ca4aadd44c31dc3ba1a0ef1))
* adds prism editor and implements for sdkdocs ([#581](https://www.github.com/looker-open-source/sdk-codegen/issues/581)) ([aea0424](https://www.github.com/looker-open-source/sdk-codegen/commit/aea042439d2358a61bbf705528d6006d694d5ea5))
* click diff item method to show method detail ([#592](https://www.github.com/looker-open-source/sdk-codegen/issues/592)) ([a5f082a](https://www.github.com/looker-open-source/sdk-codegen/commit/a5f082af262ab5451d6af09083a8a3c2eb31fcfa))
* document request bodies for methods with body parameters ([#593](https://www.github.com/looker-open-source/sdk-codegen/issues/593)) ([740ae5d](https://www.github.com/looker-open-source/sdk-codegen/commit/740ae5d89aa701b29bf225cf61f9a87de0907ef7))
* remember user's SDK language preference ([#567](https://www.github.com/looker-open-source/sdk-codegen/issues/567)) ([faa2511](https://www.github.com/looker-open-source/sdk-codegen/commit/faa25113d87072875ec5fb718da7eb10e0a518e4))


### Bug Fixes

* **ApiExplorer:** Added support for Golang syntax highlighting ([#563](https://www.github.com/looker-open-source/sdk-codegen/issues/563)) ([e2ae33e](https://www.github.com/looker-open-source/sdk-codegen/commit/e2ae33eb1d63b0f8d9987bf86bbed64641d4bea3))
* extends runit response height and fixes response models scrolling ([#558](https://www.github.com/looker-open-source/sdk-codegen/issues/558)) ([61627ce](https://www.github.com/looker-open-source/sdk-codegen/commit/61627ce282c1f7e4eaf082ccd66466060d2e7b98))
* remove search criteria selector and auto expand results ([#571](https://www.github.com/looker-open-source/sdk-codegen/issues/571)) ([e5a5ee7](https://www.github.com/looker-open-source/sdk-codegen/commit/e5a5ee7ddb2a9c6822dccc9493c994a9a826b419))
* RunIt request overflow  ([#565](https://www.github.com/looker-open-source/sdk-codegen/issues/565)) ([38665ac](https://www.github.com/looker-open-source/sdk-codegen/commit/38665ac40b6abc20557db66d0dc536c347c6a862))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.1 to ^0.9.2
    * @looker/sdk bumped from ^21.4.0 to ^21.4.1
    * @looker/sdk-codegen bumped from ^21.0.11 to ^21.0.12
    * @looker/sdk-rtl bumped from ^21.0.11 to ^21.0.12
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.11 to ^21.0.12
    * @looker/sdk-node bumped from ^21.4.0 to ^21.4.1

### [0.9.1](https://www.github.com/looker-open-source/sdk-codegen/compare/api-explorer-v0.9.0...api-explorer-v0.9.1) (2021-04-02)


### Features

* Added --versions option to the code generator ([#514](https://www.github.com/looker-open-source/sdk-codegen/issues/514)) ([ee6f3e8](https://www.github.com/looker-open-source/sdk-codegen/commit/ee6f3e8f55e300df1a75c9be89b47f067bc08dee))
* adds scrolling to frame elements ([#526](https://www.github.com/looker-open-source/sdk-codegen/issues/526)) ([d7cd769](https://www.github.com/looker-open-source/sdk-codegen/commit/d7cd76917522c37e2902792405a75b8b9358e92f))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * @looker/run-it bumped from ^0.9.0 to ^0.9.1
    * @looker/sdk bumped from ^21.0.10 to ^21.4.0
    * @looker/sdk-codegen bumped from ^21.0.10 to ^21.0.11
    * @looker/sdk-rtl bumped from ^21.0.10 to ^21.0.11
  * devDependencies
    * @looker/sdk-codegen-scripts bumped from ^21.0.9 to ^21.0.11
    * @looker/sdk-node bumped from ^21.0.10 to ^21.4.0

### [0.9.0]

### Added

- This change log file
- Response types now have nested types correctly documented
- The response type processing functions now have arguments for the number of levels to expand nested types
- API explorer's default expansion depth is one level deep
- Added [`ExploreType`](src/components/ExploreType/ExploreType.tsx) and [`ExploreProperty`](src/components/ExploreType/ExploreProperty.tsx) components used to display responses and explore the type on the type page